Pages

Is this ext fully compatible with phpbb 3.3 - Pages

Is this ext fully compatible with phpbb 3.3

by tofino » Thu May 28, 2020 7:00 pm

Is this ext fully compatible with phpbb 3.3

On clear cache I get a Debug error, as soon as I go to a new page it is gone.

This is error I get, just when I Purge the Cache in ACP

I know it is in the Pages ext cause if I disable it the error stops, it worked fine in v3.2.8.

[phpBB Debug] PHP Notice: in file [ROOT]/phpbb/auth/auth.php on line 479: Undefined index: u_
[phpBB Debug] PHP Notice: in file [ROOT]/phpbb/auth/auth.php on line 481: Undefined index: u_
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4311: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3042)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4311: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3042)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4311: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3042)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4311: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3042)


Thanks.
tofino
Registered User
Posts: 43
Joined: Fri Nov 06, 2015 1:55 pm
Contact:

Re: Is this ext fully compatible with phpbb 3.3

by MattF » Thu May 28, 2020 7:24 pm

Yes this extension works fine in phpBB 3.3. That debug notice is only a notice, but is not something caused by this ext. Also debug should not be on...unless your developing or testing.
Formerly known as VSEMy ExtensionsPlease do not PM me for support.
User avatar
MattF
Extensions Development Coordinator
Extensions Development Coordinator
Posts: 5263
Joined: Sat Jan 17, 2009 9:37 am
Location: Los Angeles, CA
Name: Matt Friedman
Contact:

Re: Is this ext fully compatible with phpbb 3.3

by tofino » Thu May 28, 2020 8:08 pm

Thanks.
But there is an issue with either phpbb 3.3 or page ext.
Disabling Debug is not the answer, something needs fixing.

Cheers.
tofino
Registered User
Posts: 43
Joined: Fri Nov 06, 2015 1:55 pm
Contact:

Re: Is this ext fully compatible with phpbb 3.3

by MattF » Thu May 28, 2020 10:57 pm

It's a notice, so it can be ignored.

But if you look at your notice, it's regarding Undefined index: u_. That's a user-based permission. Nothing in the Pages extension involves user-based permission. And if you look a little closer at where it says the notice is coming from, which is phpBB core files, it looks like its related to stuff that is in your cache. Delete everything in your cache.
Formerly known as VSEMy ExtensionsPlease do not PM me for support.
User avatar
MattF
Extensions Development Coordinator
Extensions Development Coordinator
Posts: 5263
Joined: Sat Jan 17, 2009 9:37 am
Location: Los Angeles, CA
Name: Matt Friedman
Contact: